## ros-dashing-voxel-grid-nodes 0.0.2

=== CMakeLists.txt ===
# Copyright 2017-2018 Apex.AI, Inc.
# Co-developed by Tier IV, Inc. and Apex.AI, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5)

### Export headers
project(voxel_grid_nodes)

## dependencies
find_package(ament_cmake REQUIRED)
find_package(autoware_auto_cmake REQUIRED)
find_package(lidar_utils REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(voxel_grid REQUIRED)

# includes
include_directories(include)

add_library(${PROJECT_NAME} SHARED
  include/voxel_grid_nodes/algorithm/voxel_cloud_base.hpp
  include/voxel_grid_nodes/algorithm/voxel_cloud_approximate.hpp
  include/voxel_grid_nodes/algorithm/voxel_cloud_centroid.hpp
  include/voxel_grid_nodes/visibility_control.hpp
  src/algorithm/voxel_cloud_base.cpp
  src/algorithm/voxel_cloud_approximate.cpp
  src/algorithm/voxel_cloud_centroid.cpp
  include/voxel_grid_nodes/voxel_cloud_node.hpp
  src/voxel_cloud_node.cpp
)
autoware_set_compile_options(${PROJECT_NAME})
ament_target_dependencies(${PROJECT_NAME}
  "lidar_utils"
  "sensor_msgs"
  "voxel_grid"
  "rclcpp"
  "rclcpp_lifecycle"
)

# Cloud executable
set(VOXEL_CLOUD_EXE voxel_grid_cloud_node_exe)
add_executable(${VOXEL_CLOUD_EXE} src/voxel_cloud_main.cpp)
autoware_set_compile_options(${VOXEL_CLOUD_EXE})
target_link_libraries(${VOXEL_CLOUD_EXE} ${PROJECT_NAME})
ament_target_dependencies(${VOXEL_CLOUD_EXE} "rclcpp" "rclcpp_lifecycle")
target_compile_definitions(${VOXEL_CLOUD_EXE} PRIVATE
    CMAKE_INSTALL_PREFIX="${CMAKE_INSTALL_PREFIX}")

file(COPY param/vlp16_lexus_centroid.param.yaml DESTINATION "${CMAKE_BINARY_DIR}/param")  #copy the param file into the build directory

if(BUILD_TESTING)
  # run linters
  autoware_static_code_analysis()
  find_package(ament_cmake_gtest REQUIRED)


  # gtest
  set(VOXEL_GRID_NODE_GTEST voxel_algorithm_gtest)
  ament_add_gtest(${VOXEL_GRID_NODE_GTEST} test/test_voxel_grid_nodes.cpp)
  target_link_libraries(${VOXEL_GRID_NODE_GTEST} ${PROJECT_NAME})
  target_include_directories(${VOXEL_GRID_NODE_GTEST} PRIVATE "test/include" "include")
endif()

target_compile_options(${PROJECT_NAME} PRIVATE -Wno-sign-conversion -Wno-conversion)

autoware_install(LIBRARIES ${PROJECT_NAME} EXECUTABLES ${VOXEL_CLOUD_EXE} HAS_INCLUDE)
# Ament Exporting
ament_export_dependencies("sensor_msgs" "voxel_grid" "rclcpp" "rclcpp_lifecycle")
ament_package()

=== debian/changelog ===
ros-dashing-voxel-grid-nodes (0.0.2-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Apex.AI, Inc. <opensource@apex.ai>  Mon, 14 Oct 2019 15:19:50 -0000

=== debian/control ===
Source: ros-dashing-voxel-grid-nodes
Section: misc
Priority: extra
Maintainer: Apex.AI, Inc. <opensource@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-cmake-gtest, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-autoware-auto-cmake, ros-dashing-lidar-utils, ros-dashing-rclcpp, ros-dashing-rclcpp-lifecycle, ros-dashing-sensor-msgs, ros-dashing-voxel-grid, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-voxel-grid-nodes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-lidar-utils, ros-dashing-rclcpp, ros-dashing-rclcpp-lifecycle, ros-dashing-sensor-msgs, ros-dashing-voxel-grid, ros-dashing-ros-workspace
Description: voxel grid filters

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-voxel-grid-nodes//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
